i2o_block_prep_req_fn
Prev | I2O message devices | Next

## Name

i2o_block_prep_req_fn — Allocates I2O block device specific struct

## Synopsis

`int i2o_block_prep_req_fn (` | struct request_queue * | q,
| struct request * | req`)`;

## Arguments

`q`

  request queue for the request

`req`

  the request to prepare

## Description

Allocate the necessary i2o_block_request struct and connect it to the request. This is needed that we not loose the SG list later on.

Returns BLKPREP_OK on success or BLKPREP_DEFER on failure.

Prev | Up | Next
i2o_block_sglist_free | Home | i2o_block_delayed_request_fn